Name:           perl-AnyEvent-AIO
Version:        1.1
Release:    3%{?dist}
Summary:        Truly asynchronous file and directrory I/O

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/AnyEvent-AIO
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/AnyEvent-AIO-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::AIO) >= 3
BuildRequires:  perl(AnyEvent)

%description
Truly asynchronous file and directrory I/O.

%prep
%setup -q -n AnyEvent-AIO-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'


%check
make test



%files
%doc COPYING README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- rebuild

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
